Bug 1619122 - kdump service failed: Unhandled rela relocation: R_X86_64_PLT32
Summary: kdump service failed: Unhandled rela relocation: R_X86_64_PLT32
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: rawhide
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Bhupesh Sharma
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 07:12 UTC by Qiao Zhao
Modified: 2018-09-22 18:05 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-22 18:05:21 UTC


Attachments (Terms of Use)

Description Qiao Zhao 2018-08-20 07:12:37 UTC
Description of problem: 
Kdump service failed by kvm guest.
# kdumpctl restart
kexec: unloaded kdump kernel
Stopping kdump: [OK]
Detected change(s) in the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initramfs-4.18.0-0.rc8.git2.1.fc29.x86_64kdump.img
Unhandled rela relocation: R_X86_64_PLT32
kexec: failed to load kdump kernel
Starting kdump: [FAILED


Version-Release number of selected component (if applicable):
kernel-4.18.0-0.rc8.git2.1.fc29.x86_64
kexec-tools-2.0.17-9.fc29.x86_64

How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
I also test this problem on latest kernel 4.19.0-0.rc0.git3.1.fc30.x86_64, the same problem happened.

# kdumpctl restart
kexec: unloaded kdump kernel
Stopping kdump: [OK]
Detected change(s) in the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initramfs-4.19.0-0.rc0.git3.1.fc30.x86_64kdump.img
Unhandled rela relocation: R_X86_64_PLT32
kexec: failed to load kdump kernel
Starting kdump: [FAILED]

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-08-21 10:22:53 UTC
I hit this too, it breaks 'systemctl kexec' for me.

# /usr/sbin/kexec --load /boot/vmlinuz-4.18.0-0.rc1.git0.1.fc29.x86_64 
Unhandled rela relocation: R_X86_64_PLT32

(I get the same result with a bunch of different kernels, so I don't think the specific kernel version matters.)

Version-Release number of selected component (if applicable):
kexec-tools-2.0.17-9.fc29.x86_64

Comment 2 Bhupesh Sharma 2018-08-21 11:07:06 UTC
Fix is available upstream here: https://www.spinics.net/lists/kexec/msg21255.html

I have tested the same on a Fedora 29 system and it seems to work fine.

Comment 4 Fedora Update System 2018-09-19 16:31:35 UTC
kexec-tools-2.0.17-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dcd5ae236f

Comment 5 Fedora Update System 2018-09-20 16:18:35 UTC
kexec-tools-2.0.17-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dcd5ae236f

Comment 6 Fedora Update System 2018-09-22 18:05:21 UTC
kexec-tools-2.0.17-10.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.